/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        03.11.2007
 Description:    Webserver Config-File
----------------------------------------------------------------------------*/

#ifndef _CONFIG_H_
	#define _CONFIG_H_	

	//IP des Webservers
	#define MYIP1	192
	#define MYIP2	168
	#define MYIP3	0
	#define MYIP4	99
	
	//MAC Adresse des Webservers	
	#define MYMAC1	0x00
	#define MYMAC2	0x20
	#define MYMAC3	0x18
	#define MYMAC4	0xB1	
	#define MYMAC5	0x15
	#define MYMAC6	0x5F
	
	//Quarz/Interner Takt oder Takt vom ENC28J60
	#define ENCTAKT 0 //0=Quarz/Intern 1=ENC28J60 Takt
	
	//Taktfrequenz
	#define SYSCLK 16000000UL	
	//#define SYSCLK 11059200UL
	
	//Baudrate der seriellen Schnittstelle
	#define BAUDRATE 9600
	
	//ETH_M32_EX (www.ulrichradig.de)
	#define USE_ENC28J60	1
	//Holger Buss (www.mikrocontroller.com) Mega32-Board
	#define USE_RTL8019		0
	
	//Webserver mit Passwort? (0 == mit Passwort)
	#define HTTP_AUTH_DEFAULT	0
	
	//AUTH String "USERNAME:PASSWORT" max 14Zeichen 
	//fr Username:Passwort
	#define HTTP_AUTH_STRING "admin:uli1"
	

#endif //_CONFIG_H


